classification
Title: python tests failure if builddir <> sourcedir
Type: Stage:
Components: Tests Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: nascheme Nosy List: mmysinger, nas, nascheme, rpetrov
Priority: normal Keywords: patch

Created on 2008-10-07 22:33 by rpetrov, last changed 2009-02-05 21:18 by nascheme. This issue is now closed.

Files
File name Uploaded Description Edit
python-trunk-DIST.patch rpetrov, 2008-10-07 22:33
Messages (4)
msg74492 - (view) Author: Roumen Petrov (rpetrov) * Date: 2008-10-07 22:33
The proposed patch add possibility to run python tests if python is
build outside source tree on POSIX systems.
msg74613 - (view) Author: Michael Mysinger (mmysinger) Date: 2008-10-10 00:32
Just an FYI that I had an error in test_distutils that this patch fixed. 

I was not doing anything abnormal. Just building from the 2.6 source
distribution, making a arch specific sub-directory, using ../configure,
make, and then make test. The original error happened on both x86_64 and
i686 platforms.

Hopefully the eventual fix makes it into 2.6.1.
msg75015 - (view) Author: Neil Schemenauer (nas) Date: 2008-10-20 22:51
Issue 4151 contains a similar patch but it cleans up more code, IMHO.
msg75041 - (view) Author: Roumen Petrov (rpetrov) * Date: 2008-10-21 20:44
About issue4151 - clean up is in test_sysconfig.py and setup.py - it is
 fine with me.
Modification for test_build_ext.py from above mentioned issue break
non-posix builds.
History
Date User Action Args
2009-02-05 21:18:49naschemesetstatus: open -> closed
assignee: nascheme
resolution: fixed
nosy: + nascheme
2008-10-21 20:44:24rpetrovsetmessages: + msg75041
2008-10-20 22:51:26nassetnosy: + nas
messages: + msg75015
2008-10-10 00:32:56mmysingersetnosy: + mmysinger
messages: + msg74613
2008-10-07 22:33:05rpetrovcreate